%global debug_package %{nil}

Name:           ocamlify
Version:        0.0.2
Release:        %mkrel 15
Summary:        Include files in OCaml code
License:        LGPL with static compilation exception
Group:          Development/OCaml
# https://github.com/gildor478/ocamlify
URL:            http://ocamlify.forge.ocamlcore.org/
Source0:        https://forge.ocamlcore.org/frs/download.php/1209/ocamlify-%{version}.tar.gz
# https://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/ocamlify.git
# rerun `oasis setup` using OASIS 0.4.11
Patch0:         oasis-setup.patch
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-ocamlbuild, ocaml-ocamlbuild-devel
Requires:       ocaml-compiler

%description
OCamlify allows to create OCaml source code by including whole files into
OCaml string or string list. The code generated can be compiled as a
standard OCaml file. It allows embedding external resources as OCaml code.

%prep
%setup -q -n ocamlify-%{version}
%autopatch -p1

%build
ocaml setup.ml -configure --prefix %{buildroot}/usr
ocaml setup.ml -build

%install
mkdir -p %{buildroot}/usr
ocaml setup.ml -install

%files
%doc AUTHORS.txt COPYING.txt INSTALL.txt README.txt
%{_bindir}/ocamlify


%changelog
* Sun Mar 01 2020 tv <tv> 0.0.2-15.mga8
+ Revision: 1552607
- Rebuild for ocaml 4.10.0 final

* Wed Feb 19 2020 umeabot <umeabot> 0.0.2-14.mga8
+ Revision: 1543653
- Mageia 8 Mass Rebuild

* Wed Jan 22 2020 tv <tv> 0.0.2-13.mga8
+ Revision: 1482040
- switch to FC patch (fixes byte vs str)
- rebuild for ocaml-4.10
- remove no more supported -unsafe-string

* Fri Oct 26 2018 pterjan <pterjan> 0.0.2-12.mga7
+ Revision: 1325570
- Fix ocamlify to be a native binary instead of bytecode

* Sun Sep 23 2018 umeabot <umeabot> 0.0.2-11.mga7
+ Revision: 1299880
- Mageia 7 Mass Rebuild

* Sat Jan 06 2018 tv <tv> 0.0.2-10.mga7
+ Revision: 1190770
- BR ocaml-ocamlbuild-devel
- BR ocaml-ocamlbuild
- fix build with ocaml-4.06
- update URL

* Fri Jan 29 2016 pterjan <pterjan> 0.0.2-8.mga6
+ Revision: 929026
- Rebuild for new ocaml

* Wed Oct 21 2015 tv <tv> 0.0.2-7.mga6
+ Revision: 893221
- disable debuginfo

* Wed Oct 15 2014 umeabot <umeabot> 0.0.2-6.mga5
+ Revision: 740363
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 tv <tv> 0.0.2-5.mga5
+ Revision: 725149
- rebuild for bogus file deps

* Tue Sep 16 2014 umeabot <umeabot> 0.0.2-4.mga5
+ Revision: 683139
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.0.2-3.mga4
+ Revision: 536095
- Mageia 4 Mass Rebuild

* Sun Sep 22 2013 blue_prawn <blue_prawn> 0.0.2-2.mga4
+ Revision: 483318
- rebuild for ocaml-4.01.0

* Mon Aug 12 2013 blue_prawn <blue_prawn> 0.0.2-1.mga4
+ Revision: 465588
- updated to last version 0.0.2

* Sun Jan 13 2013 umeabot <umeabot> 0.0.1-6.mga3
+ Revision: 361742
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 01 2012 blue_prawn <blue_prawn> 0.0.1-5.mga3
+ Revision: 301074
- rebuild for ocaml-4.00.0

* Sat Sep 29 2012 blue_prawn <blue_prawn> 0.0.1-4.mga3
+ Revision: 300154
- new rpm group for ocaml

* Sun Aug 05 2012 malo <malo> 0.0.1-3.mga3
+ Revision: 278811
- fix requires to ocaml-compiler

* Fri Mar 23 2012 blue_prawn <blue_prawn> 0.0.1-2.mga2
+ Revision: 225959
+ rebuild (emptylog)

* Fri Mar 23 2012 blue_prawn <blue_prawn> 0.0.1-1.mga2
+ Revision: 225953
- requires findlib
- imported package ocamlify

